Loading...
Searching...
No Matches
pqxx::nullness< T, std::enable_if_t< std::is_arithmetic_v< T > > > Struct Template Reference

The built-in arithmetic types do not have inherent null values. More...

Inheritance diagram for pqxx::nullness< T, std::enable_if_t< std::is_arithmetic_v< T > > >:
[legend]
Collaboration diagram for pqxx::nullness< T, std::enable_if_t< std::is_arithmetic_v< T > > >:
[legend]

## Additional Inherited Members

Static Public Member Functions inherited from pqxx::no_null< T >
static constexpr bool | is_null (T const &) noexcept
| Does a given value correspond to an SQL null value?
Static Public Attributes inherited from pqxx::no_null< T >
static constexpr bool | has_null
| Does `TYPE` have a "built-in null value"?
static constexpr bool | always_null
| Are all values of this type null?

## Detailed Description

template<typename T>
struct pqxx::nullness< T, std::enable_if_t< std::is_arithmetic_v< T > > >

The built-in arithmetic types do not have inherent null values.

Not-a-Number values (or NaNs for short) behave a lot like an SQL null, but they are not nulls. A non-null SQL float can be NaN.

The documentation for this struct was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/internal/conversions.hxx